Skip to content

users_badges_list

GET
/api/users/badges
curl --request GET \
--url https://example.com/api/users/badges \
--header 'Authorization: Bearer <token>'

List every badge, obtained or not, for the authenticated user.

Media typeapplication/json
Array<object>

A badge of the journey, and whether the user obtained it.

object
id
required

Id of the badge.

string
family
required

Discovery badges introduce a madbot concept, practice badges a good data management practice.

  • discovery - discovery
  • practice - practice
string
Allowed values: discovery practice
obtained_time
required

When the user obtained the badge, null if not obtained yet.

string format: date-time
nullable
seen_time
required

When the user was told about the badge, null if not yet.

string format: date-time
nullable

Example

[
{
"family": "discovery"
}
]